import { ParamStore } from './store.cjs';
import { OptionsWithDefault, Setter } from './types.cjs';
import { BatchingApi } from './api.cjs';
export declare const createParams: () => {
    useParamGet: <T>(paramName: string, options: OptionsWithDefault<T>) => T;
    useParamSet: <T, S extends object = object>(paramName: string, options: OptionsWithDefault<T>) => (value: Setter<T>, state?: S) => void;
    useParam: <T>(paramName: string, options: OptionsWithDefault<T>) => readonly [T, (value: Setter<T>, state?: object | undefined) => void];
    getInternals: () => {
        paramsStore: ParamStore;
        api: BatchingApi;
    };
};
export type ParamsCore = ReturnType<typeof createParams>;
