"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const toggleTransform = () => {
  return {
    set: ({ set: setValue }) => {
      return {
        toggle: () => {
          setValue((prev) => !prev);
        },
        set: setValue
      };
    }
  };
};
const dialogTransform = () => {
  return {
    set: ({ set: setValue }) => {
      return {
        close: () => {
          const newValue = {
            isOpen: false
          };
          setValue(newValue);
        },
        open: (state) => {
          const newValue = {
            isOpen: true,
            state
          };
          setValue(newValue);
        },
        setState: (newState) => {
          setValue((prev) => {
            return {
              state: newState,
              isOpen: prev.isOpen
            };
          });
        }
      };
    }
  };
};
const pageTransform = () => {
  return {
    set: ({ set: setValue }) => {
      return {
        next: () => {
          setValue((prev) => {
            return {
              page: prev.page + 1,
              size: prev.size
            };
          });
        },
        prev: () => {
          setValue((prev) => {
            return {
              page: prev.page - 1,
              size: prev.size
            };
          });
        },
        setPage: (page) => {
          setValue((prev) => {
            return {
              page,
              size: prev.size
            };
          });
        },
        setSize: (size) => {
          setValue((prev) => {
            return {
              page: prev.page,
              size
            };
          });
        }
      };
    }
  };
};
exports.dialogTransform = dialogTransform;
exports.pageTransform = pageTransform;
exports.toggleTransform = toggleTransform;
//# sourceMappingURL=transform.cjs.map
