import { API } from './types.js';
export declare const ApiContext: import('react').Context<API>;
export declare const dummyApi: {
    getSearch: () => string;
    replaceState: () => void;
    pushState: () => void;
    registerListener: () => void;
};
export type BatchingApi = API & {
    batch: (fn: () => void) => void;
};
export declare const withBatch: (api: API) => BatchingApi;
export declare const defaultApi: () => {
    getSearch: () => string;
    replaceState: (params: string, state?: unknown) => void;
    pushState: (params: string, state?: unknown) => void;
    registerListener: (listener: (state?: unknown) => void) => void;
};
