import { Serializer, ListOptions } from './types.js';
export declare const defaultDecoder: (text: string, reviver?: (this: any, key: string, value: any) => any) => any;
export declare const defaultEncoder: {
    (value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
    (value: any, replacer?: (number | string)[] | null, space?: string | number): string;
};
export declare const stringSerializer: Serializer<string>;
export declare const numberSerializer: Serializer<number>;
export declare const booleanSerializer: Serializer<boolean>;
export declare const datetimeSerializer: Serializer<Date>;
export declare const dateSerializer: Serializer<Date>;
export declare const decodeParam: <T>(param: string, decoder?: (value: string) => T) => T;
export declare const encodeParam: <T>(param: T, encoder?: (value: T) => string) => string;
export declare const createListSerializer: ({ separator, item }: ListOptions<unknown>) => {
    encode: (value: unknown[]) => string;
    decode: (value: string) => string[];
};
