import { TransformParams } from './types.js';
export declare const toggleTransform: () => TransformParams<boolean, {
    toggle: () => void;
}>;
type OpenLike = {
    isOpen: boolean;
};
export type DialogValue<T> = {
    state?: T;
} & OpenLike;
type DialogMethods<R> = {
    close: () => void;
    open: (state: R | undefined) => void;
    setState: (state: R) => void;
};
export declare const dialogTransform: <R>() => TransformParams<DialogValue<R>, DialogMethods<R>>;
type PageLike = {
    page: number;
    size: number;
};
export type PageMethods = {
    next: () => void;
    prev: () => void;
    setPage: (page: number) => void;
    setSize: (size: number) => void;
};
export declare const pageTransform: () => TransformParams<PageLike, PageMethods>;
export {};
